Index: c/src/lib/libbsp/powerpc/dmv177/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/dmv177/ChangeLog	(revision 6b5a85ae5b64bde317260c5bf15d485d867f1a09)
+++ c/src/lib/libbsp/powerpc/dmv177/ChangeLog	(revision b1a2ae922a6a00f48a18303c97f1cb59f5527e78)
@@ -1,3 +1,12 @@
-2001-05-10	Ralf Corsepius	<corsepiu@faw.uni-ulm.de>
+2001-05-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h, AC_DEFINE CONSOLE_USE_INTERRUPTS,
+	CONSOLE_USE_POLLED, HAS_RTC.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*, coverhd.h, tod.h.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES, New
+	treatment of tod.h, coverhd.h.
+	* include/bsp.h: Add include bspopts.h.
+
+2001-05-10	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
 	* configure.in: Use RTEMS_PROG_CC_FOR_TARGET([-ansi -fasm]).
Index: c/src/lib/libbsp/powerpc/dmv177/configure.in
===================================================================
--- c/src/lib/libbsp/powerpc/dmv177/configure.in	(revision 6b5a85ae5b64bde317260c5bf15d485d867f1a09)
+++ c/src/lib/libbsp/powerpc/dmv177/configure.in	(revision b1a2ae922a6a00f48a18303c97f1cb59f5527e78)
@@ -24,4 +24,23 @@
 AM_CONDITIONAL(HAS_NETWORKING,test "$HAS_NETWORKING" = "yes")
 
+## bsp-specific options
+CONSOLE_USE_INTERRUPTS=${CONSOLE_USE_INTERRUPTS-0}
+AC_DEFINE_UNQUOTED([CONSOLE_USE_INTERRUPTS],
+  [$CONSOLE_USE_INTERRUPTS],
+  [whether using console interrupts])
+
+## FIXME: this is redundant to CONSOLE_USE_INTERRUPTS
+CONSOLE_USE_POLLED="!CONSOLE_USE_INTERRUPTS"
+AC_DEFINE_UNQUOTED([CONSOLE_USE_POLLED],
+  [$CONSOLE_USE_POLLED],
+  [whether using polled console])
+
+## FIXME: This is not used anywhere
+HAS_RTC=${HAS_RTC-yes}
+AC_DEFINE_UNQUOTED([HAS_RTC],
+  [$HAS_RTC],
+  [whether this BSP has an RTC])
+
+AM_CONFIG_HEADER(include/bspopts.h)
 RTEMS_PROJECT_ROOT
 
Index: c/src/lib/libbsp/powerpc/dmv177/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/powerpc/dmv177/include/.cvsignore	(revision 6b5a85ae5b64bde317260c5bf15d485d867f1a09)
+++ c/src/lib/libbsp/powerpc/dmv177/include/.cvsignore	(revision b1a2ae922a6a00f48a18303c97f1cb59f5527e78)
@@ -1,2 +1,8 @@
 Makefile
 Makefile.in
+coverhd.h
+tod.h
+bspopts.h
+bspopts.h.in
+stamp-h
+stamp-h.in
Index: c/src/lib/libbsp/powerpc/dmv177/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/dmv177/include/Makefile.am	(revision 6b5a85ae5b64bde317260c5bf15d485d867f1a09)
+++ c/src/lib/libbsp/powerpc/dmv177/include/Makefile.am	(revision b1a2ae922a6a00f48a18303c97f1cb59f5527e78)
@@ -5,29 +5,22 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = bsp.h ../../../shared/include/coverhd.h dmv170.h \
-    ../../../shared/tod.h
+include_HEADERS = bsp.h coverhd.h dmv170.h tod.h bspopts.h
+
+tod.h: $(top_srcdir)/../../shared/tod.h
+	cp $< $@
+coverhd.h: $(top_srcdir)/../../shared/include/coverhd.h
+	cp $< $@
+CLEANFILES += tod.h coverhd.h
 
 $(PROJECT_INCLUDE):
 	$(mkinstalldirs) $@
 
-$(PROJECT_INCLUDE)/bsp.h: bsp.h
+$(PROJECT_INCLUDE)/%.h: %.h
 	$(INSTALL_DATA) $< $@
 
-$(PROJECT_INCLUDE)/coverhd.h: ../../../shared/include/coverhd.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/dmv170.h: dmv170.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/tod.h: ../../../shared/tod.h
-	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/bsp.h \
-    $(PROJECT_INCLUDE)/coverhd.h $(PROJECT_INCLUDE)/dmv170.h \
-    $(PROJECT_INCLUDE)/tod.h
+TMPINSTALL_FILES += $(PROJECT_INCLUDE) \
+    $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 all-local: $(TMPINSTALL_FILES)
 
-EXTRA_DIST = bsp.h dmv170.h
-
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/powerpc/dmv177/include/bsp.h
===================================================================
--- c/src/lib/libbsp/powerpc/dmv177/include/bsp.h	(revision 6b5a85ae5b64bde317260c5bf15d485d867f1a09)
+++ c/src/lib/libbsp/powerpc/dmv177/include/bsp.h	(revision b1a2ae922a6a00f48a18303c97f1cb59f5527e78)
@@ -20,4 +20,6 @@
 extern "C" {
 #endif
+
+#include <bspopts.h>
 
 /*
